### Method

# Atspi Text get_attributes

deprecated: 2.10

#### Declaration [src]

    GHashTable*
    atspi_text_get_attributes (
      AtspiText* obj,
      gint offset,
      gint* start_offset,
      gint* end_offset,
      GError** error
    )

#### Description [src]

Gets the attributes applied to a range of text from an `AtspiText` object. The text attributes correspond to CSS attributes where possible.

Deprecated since: 2.10

Use atspi_text_get_text_attributes instead.

This method is renamed to `atspi_text_get_text_attributes()` in language bindings.

#### Parameters

`offset`

  Type: `gint`

  A #gint indicating the offset from which the attribute search is based.

`start_offset`

  Type: `gint*`

  A #gint pointer indicating the start of the desired text range.

  The argument will be set by the function.

`end_offset`

  Type: `gint*`

  A #gint pointer indicating the first character past the desired range.

  The argument will be set by the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GHashTable`

A `GHashTable` describing the attributes at the given character offset.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.